#!/bin/bash
if [  $# -le 1 ] 
then 
    echo "Usage: create_account.sh username password"
    exit 1
fi 

mkdir -p /home/ftp/storage/incoming/$1
mkdir -p /home/ftp/storage/watchfolder/$1
echo -e "$2\n$2" | pure-pw useradd $1 -u ftp -d /home/ftp/storage/incoming/$1
chmod -R 775 /home/ftp/storage/incoming
chmod -R 775 /home/ftp/storage/watchfolder
chown -R ftp:ftp /home/ftp/storage
pure-pw mkdb
/etc/init.d/pure-ftpd force-reload
